Page MenuHomePhabricator

User reads result of validation after creating a cohort
Closed, DeclinedPublic

Description

when creating a cohort, there's a validation phase. Once it's over, there's a line of text in the cohort box:

Validated 364 of 364 cohort members. 363 are valid, 1 are invalid.

This line is confusing. It should read:

Validation complete: 1 invalid and 363 valid users.

Event Timeline

kevinator raised the priority of this task from to Normal.
kevinator updated the task description. (Show Details)
kevinator changed Security from none to None.
kevinator updated the task description. (Show Details)
kevinator added a subscriber: kevinator.
mforns added a subscriber: mforns.Jan 7 2015, 8:52 PM

I think we should update this task, because it does not include a conversation we (Kevin and me, if I remember well) had after resolving task T75350 (WikimetricsUser deletes user from cohort).

We spoke about having a message that shows percentage of completion (when the validation is in progress) and just 'Validation complete' when the validation is finished.

The reason of that was we now have the valid and invalid user count inside the 'membership' page, so maybe there's no need of showing it in the validation step. Also, when using centralauth expansion, the validation and membership user counts do not match, because membership page unifies users across projects (i.e. counting Mforns,en and Mforns,es as one). And this could be confusing.

I also don't remember if this proposal was the final desired validation message or it was still to be discussed.

I like having the final message be the same that we see when we view the members of a cohort:

72 users in 660 projects; 64 invalid entries

While the cohort is validating, display something more generic like

Validation in progress, 33% complete
Fhocutt added a comment.EditedApr 3 2015, 11:41 PM

I've been trying to make sense of what cohortList.js is doing, and I don't think it's correctly getting data into the wikiusers array as currently written. I've been trying to use an approach like _getSummaryCounters in cohortMembership.js, but this requires the wikiusers to be loaded first. The loadWikiusers function is defined but never called.

cohortList's loadWikiusers is similar to cohortMembership's fetchContents, but has an additional line in handleWith: $(event.target).remove(); and also takes two parameters: cohort and event. If I call it before ko.applyBindings as cohortMembership does, what parameters do I need to use? I haven't found documentation on this.

Fhocutt removed Fhocutt as the assignee of this task.Jul 27 2015, 11:23 PM
Nuria added a subscriber: Nuria.

Please jump in #wikimedia-analytics on IRC for help

Change 261793 had a related patch set uploaded (by PranavK):
Change validation message after uploading a cohort

https://gerrit.wikimedia.org/r/261793

I see that there have been 2 patches submitted for this task. Please note the goal of this task is to make the line displayed below change dynamically - As the validation is ongoing, the html should reflect the same and display the progress of the validation - and not just a change in the actual html displayed.

Change 261793 abandoned by Nuria:
Change validation message after uploading a cohort

https://gerrit.wikimedia.org/r/261793

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 22 2016, 3:55 PM
Framawiki moved this task from Backlog to Doing on the good first bug board.Dec 2 2017, 1:34 PM
mforns closed this task as Declined.Mar 26 2019, 2:41 PM

Declining because Wikimetrics is being discontinued. See: T211835.